/**
* Copyright 2007 - 2010 Skyway Software, Inc.
*/
package org.skyway.spring.util.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.SOURCE)
@Documented
/**
 * Annotation for maintaining a link between a class and its JAX-WS Client classes.  Since there is no implicit link to a Client
 * classes from the source class, this link helps to maintain that link.  The single value of this annotation an array of reference to the 
 * JAX-WS Client classes.  By maintaining the annotation in this way, it will participate in refactoring of both the base class and clients.  
 * This annotation has a retention policy only of {@link RetentionPolicy.SOURCE}, indicating that it will not be present in the compiled class.  
 */
public @interface JaxWSClientReference {

	Class<?>[] value();
}
